use strict;
use Module::Build;

my $build = Module::Build->new(
     module_name => 'Bot::WestwoodBot',
     dist_author => 'Richard Dawe <richdawe@cpan.org>',
     license  => 'perl',
     requires => {
         'perl' => '5.6.0',
         'Bot::BasicBot' => 0,
         'YAML::Syck' => 0,
         'Test::More' => 0,
     },
     script_files => [ 'westwoodbot' ],
     create_makefile_pl => 'traditional',
);
$build->create_build_script;
