package Bot::WestwoodBot;

use Bot::BasicBot;
use strict;
no strict 'subs';
use warnings::register;
use base 'Bot::BasicBot';

=head1 NAME

Bot::WestwoodBot - The great new Bot::WestwoodBot!

=head1 VERSION

Version 0.01

=cut

our $VERSION = '0.01';

our @BITCHIN = (
"Big Things",
"I'm the big dog",
"Drop a bomb on it",
"Bow down and kiss the ring...and I ain't wearing any jewellery",
"That's straight blazin'",
"That's straight gangster",
"Straight graveyard",
"Holla",
"That's some serious pimpin'",
"Go hard or go home!",
"Dawg",
"Pimp My Ride UK - BANG IN YOUR FACE",
"Damn, that joint's hot!",
"His car game ain't strong, dawg",
"The boys down here have flipped the script on your whip",
"I'm with it, I'm with it.",
"I like your style.",
"Exactly, its a smorgasbord, of flavour.",
"Your cheese game is strong.",
"Walking with the big dawgs",
"It's getting ugly up in here!",
"IT'S BIG!!!",
"That was strong, man.",
"It wasn't a strong look for ya boy. Oh my god.",
"My wardrobe game is so intense - so I've got wall to wall sneakers - probably 400 pairs.",
"Truly man, let's make it happen.",
"That's the real.",
"It is what it is though.",
"It's real.",
"That's the way it's going down, with the Radio One rap show.",
"People is really feeling that, so that should be real flavour.",
"So that's the way it's going down.",
"Kick them to the curb, man.",
"We're gonna keep it real man.",
"Truly mad money into it.",
"And, believe it, my man Biggie Smalls, The Notorious BIG, is gonna blow up this year. For real.",
"The bomb's about to go off, baby.",
"We're goin to bang in your face with the hottest joints around, real hip hop, nothing but big things. Now drop the bomb!",
"Ya Big Dawg.",
"Puuuuullllllllll Uuuuuuuuuuuup!",
"Real big!",
"http://www.aeonity.com/ab/soundboards/celebrity/tim-westwood.php",
"'cos we're built for that",
"This s**t is incredible tonight",
"You know how we do our thing",
"http://www.neonbubble.com/article/tim-westwood-joy-of-pointing",
"Say it! At-ti-tude!",
"You need wicked fly skills to keep it real like that.",
"It looks simple to an outsider but this is still the bomb.",
"Mmmmm. Cra-zeee.",
"Other cats might just concentrate on the index finger but not this dude.",
"Recognise!",
"You want to be a hero, not a zero.",
"Are you tired of getting stomped on?",
"Now you want the crazy dope Dee to the Dee Double-you. That's Double Dead Worms baby. Or Dope Def Wicked!",
"Yeah, you know it!",
"So gangsta, so old school. Respect!",
"Two hands! Exactly.",
"It's a shutdown, it's a takeover.",
"You take your one-finger pointers and you tear them down.",
"Cold lampin'!",
"You know what I'm saying?",
"Big pimpin' to the extreme baby. Mmmmm. Do I make myself clear?",
"Doped-up!",
"This is the way it's going down.",
"A future all-time classic.",
"Do you understand what's going down right now?",
);

=head1 SYNOPSIS

Quick summary of what the module does.

Perhaps a little code snippet.

    use Bot::WestwoodBot;

    my $foo = Bot::WestwoodBot->new();
    ...

=head1 EXPORT

A list of functions that can be exported.  You can delete this section
if you don't export anything, such as for a purely object-oriented module.

=head1 FUNCTIONS

=head2 function1

=cut


sub init
{
  my $self = shift;

  $self->{BITCHINS} = scalar @BITCHIN;
}

sub said
{
  my $self = shift;
  my $ref = shift;

  # Don't talk to yourself.
  # XXX: Altnicks
  return if ($ref->{who} eq $self->{nick});

  if ($ref->{address})
  {
    return $BITCHIN[rand($self->{BITCHINS})];
  }

  return undef;
}

#sub chanjoin
#{
#  my $self = shift;
#  my $ref = shift;
#
#  # Don't talk to yourself.
#  # XXX: Altnicks
#  return if ($ref->{who} eq $self->{nick});
#
#  $self->say(who => $ref->{who},
#             channel => $ref->{channel},
#             address => $ref->{who},
#             body => $BITCHIN[rand(scalar @BITCHIN)]);
#}

=head1 AUTHOR

Richard Dawe, C<< <richdawe at cpan.org> >>

=head1 BUGS

Please report any bugs or feature requests to
C<bug-bot-westwoodbot at rt.cpan.org>, or through the web interface at
L<http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Bot-WestwoodBot>.
I will be notified, and then you'll automatically be notified of progress on
your bug as I make changes.

=head1 SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc Bot::WestwoodBot

You can also look for information at:

=over 4

=item * AnnoCPAN: Annotated CPAN documentation

L<http://annocpan.org/dist/Bot-WestwoodBot>

=item * CPAN Ratings

L<http://cpanratings.perl.org/d/Bot-WestwoodBot>

=item * RT: CPAN's request tracker

L<http://rt.cpan.org/NoAuth/Bugs.html?Dist=Bot-WestwoodBot>

=item * Search CPAN

L<http://search.cpan.org/dist/Bot-WestwoodBot>

=back

=head1 ACKNOWLEDGEMENTS

=head1 COPYRIGHT & LICENSE

Copyright 2006 Richard Dawe, all rights reserved.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut

1; # End of Bot::WestwoodBot
